不同项目使用两种版本的Flutter

·  阅读 384

如果使用VSCode,则可以为每个工作空间指定

Flutter SDK。您需要:

1.将Flutter存储库克隆到新文件夹:

mkdir ~/flutter_dev
cd ~/flutter_dev
git clone https://github.com/flutter/flutter.git 
复制代码

2.在JSON中打开您的workspace settings并更新dart.flutterSdkPath设置:

首选项 》 设置 》搜索wokspace 找到

image.png 点击进入修改"dart.flutterSdkPath":路径找到本地克隆的文件即可

"settings": {
  "dart.flutterSdkPath": "/Users/youruser/flutter_dev"
}
复制代码

3.重启vscode即可

如果您使用的是 Android Studio 并且是mac 您需要:

Preferences > Languanges&frameworks > Flutter > 修改 SDK Flutter SDK path 将Flutter 存储克隆的新路径写上即可

image.png

分类:
前端
标签:
收藏成功!
已添加到「」, 点击更改